Useful Links

Note that only the most recent release of Firefox is supported. Deepest Sender may or may not work in older versions (for example, previewing lj-cuts will crash the browser in older versions), but please upgrade your browser to the latest version before you go reporting any problems.

Download & Installation (for SeaMonkey and Firefox):

Download & Installation (for XULRunner*):


Release History...

Deepest Sender 0.9.9

Deepest Sender 0.9.8

Deepest Sender 0.9.7

Deepest Sender 0.9.6

Deepest Sender 0.9.5

Deepest Sender 0.9.4

Deepest Sender 0.9.3

Deepest Sender 0.9.2

Deepest Sender 0.9.1

Deepest Sender 0.9.0

Deepest Sender 0.8.0

Deepest Sender 0.7.9

Deepest Sender 0.7.8

Deepest Sender 0.7.7

Deepest Sender 0.7.6

Deepest Sender 0.7.5

Deepest Sender 0.7.4

Deepest Sender 0.7.3

Deepest Sender 0.7.2

Deepest Sender 0.7.1

Deepest Sender 0.7.0

Deepest Sender 0.6.10

Deepest Sender 0.6.9

Deepest Sender 0.6.8

Deepest Sender 0.6.7

Deepest Sender 0.6.6

Deepest Sender 0.6.5

Deepest Sender 0.6.4

Deepest Sender 0.6.3

Deepest Sender 0.6.2

Deepest Sender 0.6.1

Deepest Sender 0.6.0

Deepest Sender 0.5.3

Deepest Sender 0.5.2

Deepest Sender 0.5.1

Deepest Sender 0.5.0

Deepest Sender 0.4.0

Deepest Sender 0.3.4

Deepest Sender 0.3.3

Deepest Sender 0.3.2

Deepest Sender 0.3.1

Deepest Sender 0.3

Deepest Sender 0.2.6:

Deepest Sender 0.2.5:

Deepest Sender 0.2.4:

Deepest Sender 0.2.3:

Deepest Sender 0.2.2:

Deepest Sender 0.2.1:

Deepest Sender 0.2:

Deepest Sender 0.1.4:

Deepest Sender 0.1.3:

Deepest Sender 0.1.1:

Deepest Sender 0.0.4: